local MAJOR = "StarLibPluginMath-1.0" 
local MINOR = 1

local PluginMath = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginMath then return end

local _G = _G

if not PluginMath.__index then
	PluginMath.__index = PluginMath
end

-- @name PluginMath:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new StarPluginMath object
function PluginMath:New(environment)
	
	local obj = {}

	setmetatable(obj, self)
	
	environment.abs = _G.abs
	environment.acos = _G.acos
	environment.asin = _G.asin
	environment.atan = _G.atan
	environment.atan2 = _G.atan2
	environment.ceil = _G.ceil
	environment.cos = _G.cos
	environment.deg = _G.deg
	environment.exp = _G.exp
	environment.floor = _G.floor
	environment.frexp = _G.frexp
	environment.ldexp = _G.ldexp
	environment.log = _G.log
	environment.log10 = _G.log10
	environment.max = _G.max
	environment.min = _G.min
	environment.mod = _G.mod
	environment.rad = _G.rad
	environment.random = _G.random
	environment.sin = _G.sin
	environment.sqrt = _G.sqrt
	environment.tan = _G.tan
	
	return obj	
	
end
